aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorVsevolod Stakhov <vsevolod@highsecure.ru>2015-07-08 14:44:36 +0100
committerVsevolod Stakhov <vsevolod@highsecure.ru>2015-07-08 14:44:36 +0100
commit5f593737d534de847747a641c75f70b608ae5d74 (patch)
tree5f2d9603ff789b0d305996d665f7fb0ae58e7d45 /test
parent1c0852b1b5dbd0a5464dfbd706591938ca74c7d7 (diff)
downloadrspamd-5f593737d534de847747a641c75f70b608ae5d74.tar.gz
rspamd-5f593737d534de847747a641c75f70b608ae5d74.zip
Improve functional tests teardown.
Diffstat (limited to 'test')
-rw-r--r--test/functional/test_helper.bash8
1 files changed, 7 insertions, 1 deletions
diff --git a/test/functional/test_helper.bash b/test/functional/test_helper.bash
index a25035e77..239160f2c 100644
--- a/test/functional/test_helper.bash
+++ b/test/functional/test_helper.bash
@@ -12,7 +12,13 @@ function run_rspamd() {
function teardown() {
- pkill -TERM rspamd || true
+ (
+ pgrep rspamd > /dev/null 2>&1
+ while [ $? -eq 0 ] ; do
+ pkill -TERM rspamd || true
+ pgrep rspamd > /dev/null 2>&1
+ done
+ ) || true
}
function clear_stats() {